Compilation failure linux-qoriq-rt 4.14

cancel
Showing results for 
Search instead for 
Did you mean: 

Compilation failure linux-qoriq-rt 4.14

500 Views
rdk
Contributor I

Hi,

I'm working on a t1024rdb board and trying to enable linux-qoriq-rt 4.14 from the SDK. I'm using the "zeus" branch from the yocto SDK (readme - qoriq-components/yocto-sdk - Repo manifest for QorIQ Yocto SDK).#

I have followed instructions from the README : 

- I have added "PREFERRED_VERSION_linux-qoriq = "4.14" in meta-qoriq-demos/conf/distro/fsl-qoriq.conf

- I have set PREFERRED_PROVIDER_virtual/kernel = "linux-qoriq-rt" in my local.conf

bitbake fails in kernel compilation see error below and attached complete kernel compilation log

/home/yocto/dev/build-t1024rdb-zeus/tmp/work-shared/t1024rdb/kernel-source/include/linux/syscalls.h:211:18: error: 'sys_mmap2' alias between functions of incompatible types 'long int(long u
nsigned int,  size_t,  long unsigned int,  long unsigned int,  long unsigned int,  long unsigned int)' {aka 'long int(long unsigned int,  unsigned int,  long unsigned int,  long unsigned in
t,  long unsigned int,  long unsigned int)'} and 'long int(long int,  long int,  long int,  long int,  long int,  long int)' [-Werror=attribute-alias=]
/home/yocto/dev/build-t1024rdb-zeus/tmp/work-shared/t1024rdb/kernel-source/include/linux/syscalls.h:211:18: error: 'sys_mmap' alias between functions of incompatible types 'long int(long un
signed int,  size_t,  long unsigned int,  long unsigned int,  long unsigned int,  off_t)' {aka 'long int(long unsigned int,  unsigned int,  long unsigned int,  long unsigned int,  long unsi
gned int,  long int)'} and 'long int(long int,  long int,  long int,  long int,  long int,  long int)' [-Werror=attribute-alias=]
cc1: all warnings being treated as errors

Does anybody know how solve this and have an hint how to solve it ? 

Thanks in advance,

Labels (1)
0 Kudos
3 Replies

313 Views
Pavel
NXP TechSupport
NXP TechSupport

NXP offers Yocto Linux BSP SDK 2.7 for the LS1043a:

https://source.codeaurora.org/external/qoriq/qoriq-components/yocto-sdk/about/

 

We have tested this SDK under Ubuntu 18.

 

Do you use Ubuntu 18 and SDK from this page?

Have a great day,
Pavel Chubakov

 

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos

313 Views
rdk
Contributor I

Hello Pavel,

Thanks for your answer.

I have used a docker with Ubuntu 16.04.6 image (which is supported by Yocto project for Zeus build). I have used the Zeus branch of the Yocot-sdk because it does offer a recipe to build an LTS linux kernel with the RT patch because one of my requirement is to use a LTS linux kernel with the RT patch.

I have build the image using the master branch of the codeaurora repository on an Ubuntu 18.04 .3 docker image and the target is booting.

The sdk does offer a recipe for the linux with the rt patch. The 4.14 kernel version is 4.14.122 which is not reported in https://mirrors.edge.kernel.org/pub/linux/kernel/projects/rt/4.14/. I have also check the 4.19 kernel version from the sdk which is 4.19.46 which is also not reported in the https://mirrors.edge.kernel.org/pub/linux/kernel/projects/rt/4.19/.

Thus I think I cannot apply the rt patch by my self on either of those two kernel. Is it possible to obtain the patches that NXP applies to the vanila linux kernel sources so I can select a kernel that is available for rt patch ?

As a side note I think that the link you gave should really be in the software documentation of the T1024 processor because the current sdk links still points to the sdk 2.0 with the update to 1703.

Best regards,

Renaud

0 Kudos

313 Views
rdk
Contributor I

Hello, 

I'm replying to my own post, since I have got an update by our distributor couple of weeks ago.

NXP will not put any more energy on making software for the QorIQ equipped with Power architecture.

NXP is focusing on QorIQ with ARM architecture through the Layer scape SDK.

Just in case anyone cross by this post in the future.

Regards,

Renaud De Koninck

0 Kudos